NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.PressLineSimulation.UserMotionBuilder Class Reference

Represents a PressLineSimulation.UserMotionBuilder builder More...

Inheritance diagram for NXOpen.PressLineSimulation.UserMotionBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  MotionType { Linear, Rotary }
 The type of motion to create. More...
 
enum  CurveType { Calculate, FromFile }
 The method used to define the motion curve. More...
 

Public Member Functions

unsafe void GetMotionCurve (out double[] curveValues)
 Get the motion curve values if type is set to from file. More...
 
unsafe void SetMotionCurve (double[] curveValues)
 Set the motion curve values if type is set to from file. More...
 
unsafe void SetOutOfDate ()
 To set the out of date status of the motion. More...
 
unsafe void DeleteCam ()
 To delete the motion. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe string ComponentName [get, set]
 Returns or sets the simulation component name. More...
 
unsafe string Description [get, set]
 Returns or sets the description of the motion. More...
 
unsafe bool Disable [get, set]
 Returns or sets the disabled status of the motion. More...
 
unsafe NXOpen.SelectBodyList MotionBodies [get]
 Returns the motion bodies. More...
 
unsafe NXOpen.Point MotionOrigin [get, set]
 Returns or sets the motion vector origin More...
 
unsafe NXOpen.Direction MotionVector [get, set]
 Returns or sets the motion vector. More...
 
unsafe double PressStart [get, set]
 Returns or sets the press start angle. More...
 
unsafe double PressStop [get, set]
 Returns or sets the press stop angle. More...
 
unsafe double ReturnStart [get, set]
 Returns or sets the return start angle. More...
 
unsafe double ReturnStop [get, set]
 Returns or sets the return stop angle. More...
 
unsafe
NXOpen.PressLineSimulation.UserMotionBuilder.CurveType 
TypeOfCurve [get, set]
 Returns or sets the method used to define the motion curve. More...
 
unsafe
NXOpen.PressLineSimulation.UserMotionBuilder.MotionType 
TypeOfMotion [get, set]
 Returns or sets the type of motion. More...
 
unsafe double ValuesInitial [get, set]
 Returns or sets the initial value. More...
 
unsafe double ValuesPeak [get, set]
 Returns or sets the peak value. More...
 

Detailed Description

Represents a PressLineSimulation.UserMotionBuilder builder

To create a new instance of this class, use NXOpen.PressLineSimulation.ApplicationManager.CreateUserMotionBuilder

Default values.

Property Value

Disable

0

PressStart

0

PressStop

0

ReturnStart

0

ReturnStop

0

TypeOfCurve

Calculate

TypeOfMotion

Linear

ValuesInitial

0

ValuesPeak

0

Created in NX12.0.0

Member Enumeration Documentation

The method used to define the motion curve.

Enumerator
Calculate 
FromFile 

The type of motion to create.

Enumerator
Linear 
Rotary 

Member Function Documentation

unsafe void NXOpen.PressLineSimulation.UserMotionBuilder.DeleteCam ( )

To delete the motion.

Created in NX12.0.0

License requirements: nx_pls_die_checker (" NX Press Die Checker")

unsafe void NXOpen.PressLineSimulation.UserMotionBuilder.GetMotionCurve ( out double[]  curveValues)

Get the motion curve values if type is set to from file.

Created in NX12.0.0

License requirements: None.

Parameters
curveValuesThe array of motion curve values.
unsafe void NXOpen.PressLineSimulation.UserMotionBuilder.SetMotionCurve ( double[]  curveValues)

Set the motion curve values if type is set to from file.

Created in NX12.0.0

License requirements: nx_pls_die_checker (" NX Press Die Checker")

Parameters
curveValuesThe array of motion curve values.
unsafe void NXOpen.PressLineSimulation.UserMotionBuilder.SetOutOfDate ( )

To set the out of date status of the motion.

Created in NX12.0.0

License requirements: nx_pls_die_checker (" NX Press Die Checker")

Property Documentation

unsafe string NXOpen.PressLineSimulation.UserMotionBuilder.ComponentName
getset

Returns or sets the simulation component name.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe string NXOpen.PressLineSimulation.UserMotionBuilder.Description
getset

Returns or sets the description of the motion.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe bool NXOpen.PressLineSimulation.UserMotionBuilder.Disable
getset

Returns or sets the disabled status of the motion.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe NXOpen.SelectBodyList NXOpen.PressLineSimulation.UserMotionBuilder.MotionBodies
get

Returns the motion bodies.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.PressLineSimulation.UserMotionBuilder.MotionOrigin
getset

Returns or sets the motion vector origin

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe NXOpen.Direction NXOpen.PressLineSimulation.UserMotionBuilder.MotionVector
getset

Returns or sets the motion vector.

Defines the direction of motion for linear type and axis of rotation for rotary type.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe double NXOpen.PressLineSimulation.UserMotionBuilder.PressStart
getset

Returns or sets the press start angle.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe double NXOpen.PressLineSimulation.UserMotionBuilder.PressStop
getset

Returns or sets the press stop angle.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe double NXOpen.PressLineSimulation.UserMotionBuilder.ReturnStart
getset

Returns or sets the return start angle.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe double NXOpen.PressLineSimulation.UserMotionBuilder.ReturnStop
getset

Returns or sets the return stop angle.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe NXOpen.PressLineSimulation.UserMotionBuilder.CurveType NXOpen.PressLineSimulation.UserMotionBuilder.TypeOfCurve
getset

Returns or sets the method used to define the motion curve.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe NXOpen.PressLineSimulation.UserMotionBuilder.MotionType NXOpen.PressLineSimulation.UserMotionBuilder.TypeOfMotion
getset

Returns or sets the type of motion.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe double NXOpen.PressLineSimulation.UserMotionBuilder.ValuesInitial
getset

Returns or sets the initial value.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")

unsafe double NXOpen.PressLineSimulation.UserMotionBuilder.ValuesPeak
getset

Returns or sets the peak value.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.